local ex = Examiner;

-- Module
local mod = ex:CreateModule("Guild","Guild Details (beta)");
mod.help = "Basic Guild Details";
mod:CreatePage(false,"Guild Details");
--mod:HasButton(true);


--	SetDoubleGuildTabardTextures(InspectFrame.unit, InspectGuildFrameTabardLeftIcon, InspectGuildFrameTabardRightIcon, InspectGuildFrameBanner, InspectGuildFrameBannerBorder);

--------------------------------------------------------------------------------------------------------
--                                           Module Scripts                                           --
--------------------------------------------------------------------------------------------------------

-- OnInspect
function mod:OnInspect(unit,guid)
	self:HasData(ex.info.guildID);
end

-- OnInspectReady
function mod:OnInspectReady(unit,guid)
	self:HasData(ex.info.guildID);
end

-- OnCacheLoaded
function mod:OnCacheLoaded(entry,unit)
	self:HasData(ex.info.guildID);
end

-- OnClearInspect
function mod:OnClearInspect()
	self:HasData(nil);
end